tigase.xmpp.impl

## Class MessageCarbons

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.impl.MessageCarbons

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPPacketFilterIfc, XMPPPresenceUpdateProcessorIfc, XMPPProcessorIfc

      public class MessageCarbons
      extends XMPPProcessor
      implements XMPPProcessorIfc, XMPPPacketFilterIfc, XMPPPresenceUpdateProcessorIfc

  MessageCarbons class implements XEP-0280 Message Carbons protocol extension.
  Author:
    andrzej

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS`

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS, cmpInfo`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageCarbons()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)` Method processes outgoing packets from SessionManager
    `String` | `id()` Returns plugins unique identifier
    `void` | `presenceUpdate(XMPPResourceConnection session, Packet packet, Queue<Packet> results)`
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Process packet received by SM for processing
    `tigase.xml.Element[]` | `supDiscoFeatures(XMPPResourceConnection session)` Return array of element containing supported disco features
    `String[][]` | `supElementNamePaths()` Returns array of split path of supported elements
    `String[]` | `supNamespaces()` Returns array of supported namespaces

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getInstance, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageCarbons

          public MessageCarbons()

  - ### Method Detail

    - #### id

          public String id()

      Returns plugins unique identifier
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:
        a `String` value

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Process packet received by SM for processing
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `XMPPException`

    - #### supDiscoFeatures

          public tigase.xml.Element[] supDiscoFeatures(XMPPResourceConnection session)

      Return array of element containing supported disco features
      Specified by:
        `supDiscoFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supDiscoFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:
        an `Element[]` value

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Returns array of split path of supported elements
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:
        a `String[][]` value is an array for element paths for which the plugin offers processing capabilities. Each path is in form of a String array in order to reduce parsing overhead.

    - #### supNamespaces

          public String[] supNamespaces()

      Returns array of supported namespaces
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:
        a `String[]` value

    - #### presenceUpdate

          public void presenceUpdate(XMPPResourceConnection session,
                            Packet packet,
                            Queue<Packet> results)
                              throws NotAuthorizedException

      Specified by:
        `presenceUpdate` in interface `XMPPPresenceUpdateProcessorIfc`
      Throws:
        `NotAuthorizedException`

    - #### filter

          public void filter(Packet packet,
                    XMPPResourceConnection session,
                    NonAuthUserRepository repo,
                    Queue<Packet> results)

      Method processes outgoing packets from SessionManager
      Specified by:
        `filter` in interface `XMPPPacketFilterIfc`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.